package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.etagBase.EtagLocationQueryReq;
import org.wcs.model.po.app.AppEtagTagLocation;

import java.util.List;

public interface AppEtagTagLocationService extends IService<AppEtagTagLocation> {

    Tuple2<Long, List<AppEtagTagLocation>> queryEtagTagLocation(EtagLocationQueryReq request, Integer pageIndex, Integer pageSize); // 分页查询
    List<AppEtagTagLocation> queryWithLocationAndType(String location, Integer locationType); // 查询指定货位和货位类型的数据
    DataBaseActionResult<Integer> insert(AppEtagTagLocation appEtagTagLocation); // 插入一条数据
    List<AppEtagTagLocation> queryWithRecordId(String recordId); // 查询指定记录ID的数据
    List<AppEtagTagLocation> queryAll(); // 查询所有数据
    DataBaseActionResult<Integer> updateAll(AppEtagTagLocation appEtagTagLocation); // 更新一条数据
    DataBaseActionResult<Integer> deleteWithRecordId(String recordId); // 删除指定记录ID的数据
}
